#!/bin/sh
# make the symbolic for the related program/library

PKG_PATH=/usr/local/AppCentral/linux-center
#$PKG_PATH/bin/cgroupfs-mount    


case $1 in
    start) 
		echo "Starting linux-station daemon..." 
		/sbin/ldconfig
#		if grep -v '^#' /etc/fstab | grep -q cgroup \
#          	    || [ ! -e /proc/cgroups ] \
#              	|| [ ! -d /sys/fs/cgroup ]; then
#              	exit 0
#      	fi
       	if ! mountpoint -q /sys/fs/cgroup; then
           	    mount -t tmpfs -o uid=0,gid=0,mode=0755 cgroup /sys/fs/cgroup
       	fi
       	(
      	   cd /sys/fs/cgroup
       	   for sys in $(awk '!/^#/ { if ($4 == 1) print $1 }' /proc/cgroups); do
              mkdir -p $sys
              if ! mountpoint -q $sys; then
                 if ! mount -n -t cgroup -o $sys cgroup $sys; then
                    rmdir $sys || true
                 fi
              fi
      	   done
		   mkdir -p /sys/fs/cgroup/systemd
		   mount -t cgroup -o none,name=systemd systemd /sys/fs/cgroup/systemd
     	 )
	$PKG_PATH/bin/utility start-auto
	$PKG_PATH/bin/linux-center-lighttpd start
	;;  
	stop)  
		echo "Stopping daemon..."
		$PKG_PATH/bin/linux-center-lighttpd stop
		$PKG_PATH/bin/utility stop-linux-center
	;;  
	reload) 
		echo "Reload Docker daemon..." 
	sleep 2 
	        docker -d >/dev/null
	sleep 2 
	;;  
	*) 
		echo "usage: $0 {start|stop|reload}" 
	exit 1 
	;;  
esac 
exit 0
                                                                                                                                                                                                                                                                                                                
